Git repository comments should use git convention for commit messages 

2009-01-28 11:05 - Mattias Holm

Status: Closed Start date: 2009-01-28

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

Git is typically used with the convention that commit messages are written with a short one line subject and then a more descriptive

paragraph.

Redmine however display the entire message in the comment field. In the repository overview this is OK, since linefeeds are added

after the subject as specified in the commit-message. However, for the activity view, the entire message is displayed as one line (no

line feeds where they are supposed to be), this means that many comments are unreadable.

I suggest that for git, firstly in the issue lists, only the first line should be displayed and that in the activity view, the commit message

will be displayed with its first line following the revision and the message below should only contain the body of the message.

Related issues:

Related to Redmine - Feature #6092: Truncate Git revision labels in Activity ... Closed 2010-08-09

History

#1 - 2009-01-28 20:08 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#2 - 2009-01-30 08:36 - Gerrit Kaiser

+1

#3 - 2010-07-15 17:08 - Karsten Dambekalns

+1 from me as well. And this doesn't apply to git only, it purely is a question of commit message style...

#4 - 2010-07-15 21:03 - Felix Schäfer

The activity list already only shows the first line of the commit message. What other places would you think need improvement?

#5 - 2010-07-16 08:08 - Mattias Holm

Felix Schäfer wrote:

The activity list already only shows the first line of the commit message. What other places would you think need improvement?

 In the repository view, the file browser shows parts of the commit message truncated to some length. This comment shows not just the first line, but

also the rest of the message (with the line feeds stripped).

Also in the repository view,  the latest commit browser, shows the messages, with line feeds, but multiple linefeeds (new paragraphs) are ignored and

concatenated to one big paragraph. It also does not clearly label the first line as being the subject.

My preferred solution would be to have the file browser in the repository view to only show the first line and the commit browser respect the linefeeds

in the commit message plus labelling the first line (bold font or something like that), as a subject line for the commit.

#6 - 2011-03-29 08:15 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Wont fix

#6092 changed 8 chars for git revision in feed and activity.

So, this issue is obsolete.
